<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2010
| http://www.ravenshield.game-host.org/
+--------------------------------------------------------+
| Filename: event_panel.php
| Author: Daniel Schnabel
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."event_panel/infusion_db.php";

if (file_exists(INFUSIONS."event_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."event_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."event_panel/locale/German.php";
}

 $inf_title = "EventPanel";
 $inf_description = "Eventsystem";
 $inf_version = "1.1";
 $inf_developer = "Daniel Schnabel";
 $inf_email = "Kammer11@gmx.de";
 $inf_weburl = "http://ravenshield.game-host.org";

$inf_folder = "event_panel";

$inf_newtable[1] = DB_EVENTPANEL." (
 id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
 folder VARCHAR(7) NOT NULL,
 bild1 VARCHAR(255) NOT NULL,
 bild2 VARCHAR(255) NOT NULL,
 bild3 VARCHAR(255) NOT NULL,
 bild4 VARCHAR(255) NOT NULL,
 speed SMALLINT(1) NOT NULL,
 rota  VARCHAR(6) NOT NULL,
 tooltip  VARCHAR(255) NOT NULL,
 paneltitle  VARCHAR(255) NOT NULL,
 PRIMARY KEY (id)
 ) ENGINE=MyISAM;";

$inf_insertdbrow[1] = DB_EVENTPANEL." ( 
`id` ,
`folder`,
`bild1`,
`bild2`,
`bild3`,
`bild4`,
`speed`,
`rota`,
`tooltip`,
`paneltitle`
 ) 
 VALUES('NULL', 'images/', 'black.png', 'blue.png', 'black.png', 'blue.png', '3', 'left', 'Dein Radioname', 'News & Events')";

$inf_droptable[1] = DB_EVENTPANEL;

$inf_altertable[1] = DB_EVENTPANEL." ADD etc";

$inf_deldbrow[1] = "other_table";

$inf_adminpanel[1] = array(
	"title" => $locale['ep_admin'],
	"image" => "image.gif",
	"panel" => "event_panel_admin.php",
	"rights" => "EP"
);
?>